Subject: bug#63726: time-machine without options does not get the latest commit

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 17 Aug 2023 10:39:55 -0400

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Hey!
>>>
>>> Konrad Hinsen <[email-masked]> skribis:
>>>
>>>> This looks good to me. In practice, I doubt anyone would use -q with
>>>> time-machine, because it makes more sense to specify an explicit channel
>>>> file every time.
>>>
>>> Yeah.  The use case I have in mind is something like:
>>>
>>>   guix time-machine -q --commit=XYZ -- build hello
>>>
>>> Useful, for example, to share a way to reproduce a bug, making sure
>>> there’s nothing but the ‘guix’ channel.
>>
>> The '-q' short option by itself is a bit opaque / hard to memorize;
>> perhaps complementing it with a self explanatory
>> '--ignore-channel-files' long option name would be a good idea?
>
> Yes, I did that in v2, as Simon suggested.

Oh, I had missed that.  Thank you!

> (‘-q’ seems to be a relatively common convention: emacs, guile, and also
> ‘guix repl’.)

I think it's also commonly used as '--quiet', in other circles :-).

-- 
Thanks,
Maxim